body {
  background-color: white;
  color: #000020;
  font-family: Verdana;
  font-size: 17px;
  margin: 0px;
  min-width: 300px;
  /*max-width: 1700px;*/
}

footer {
  background-color: #FFF0F1;
  color: #FF4D64;
  text-align: center;
  font-size: 15px;
  grid-area: footer;
  padding: 15px;
}

main {
  padding: 25px;
  background-color: white;
}

header{
  background-color: #FF4D64;
  font-size: 30px;
  grid-area: header;
  display: grid;
  border-bottom-style: 3px dashed white;
  padding: 20px 20px;
}

h1, h1 a{
  font-size: 30px;
  color: white;
}
h1 a:hover{
  color: white;
}

h2{
  font-size: 20px;
}

.centertitle{
  margin-top: 50px;
  text-align: center;
  width: 100%;
}

#textheader{
  text-align: center;
  grid-area: textheader;
  margin: 0;
}


.flyTableContainer{
  text-align: center;
  overflow: auto;
}

#flyTable td, #flyTable th{
  padding: 10px;
}

#flyTable{
  border-collapse: collapse;
  margin-left: auto;
  margin-right: auto;
}

#flyTable a{
  color: #B32437;
}


tbody tr:nth-child(odd){
  background: #87FE89;
}


#flightTime{
  margin-bottom: 50px;
  text-align: center;
  font-size: 23px;
}



a{
  color: #8B0000;
  text-decoration: none;
}

a:hover{
  color: #000070;
}

.city{
  width: 44%;
  margin-left: 3%;
  margin-right: 3%;
}

#back{
  text-align: center;
  clear: both;

}

#passengers{
  font-size: 15px;
}
#passengers li:nth-child(2n){
  color: #0C7523;
}



nav:link, nav:visited{
  text-decoration: none;
}
nav a{
  color: white;
}
nav a:hover{
  color: #B32437;
}
nav{
  padding: 20px;
  background-color: #12B333;
  grid-area: nav;
}
nav ul{
  list-style: none;
  margin: 0;
  padding: 0;
}
nav li{
  width: 100%;
  text-align: center;
  padding: 5px 0;
  font-size: 20px;
  border-bottom: 2px solid white;
}
nav li li{
  font-size: 15px;
  border-bottom-style: none;
}
#lastNavLi{
  border-bottom-style: none;
}

nav li:hover{
  background-color: #0C7523;
}

#mainNav{
  text-transform: uppercase;
  width: 200px;
  margin: 0 auto;
}

.cancelled{
  background: #B32437;
  color: white;
  padding: 20px;
  grid-area: cancelled;
  font-weight: bold;
}

.flightinfo{
  border-radius: 5px;
}

#flightCancelled .flightinfo{
  background-color: #B32437;
  color: white;
}

#flightVeryDelayed .flightinfo{
  background-color: orange;
}

#flightDelayed .flightinfo{
  background-color: yellow;
}




.reservation{
  color: white;
  padding: 20px;
  grid-area: reservation;
  background-color: #12B333;
}
.reservation h2{
  text-align: center;
}

.reservation input[type=text],
.reservation input[type=date],
.reservation select{
  width: 100%;
  padding: 10px 10px;
  border: 2px solid #12B333;
  background-color: white;
  color: #B32437;
  box-sizing: border-box;
  margin-bottom: 20px;
  margin-top: 5px;
  font-size: 15px;
  border-radius: 7px;
}

.reservation input[type=reset],
.reservation input[type=submit]{
  cursor: pointer;
  background-color: #B32437;
  color: white;
  padding: 15px 5px;
  border: none;
  font-size: 15px;
  width: 50%;
  border-radius: 7px;
  margin-top: 20px;
  margin-bottom: 20px;
}
.reservation input[type=reset]{
  grid-area: reset;
  margin-left: 10px;
}
.reservation input[type=submit]{
  grid-area: submit;
  margin-right: 10px;
}
.reservation input[type=text]:focus,
.reservation input[type=date]:focus,
.reservation select:focus{
  border: 2px solid black;
}

.container{
  display: grid;
}

.cityPhotos{
  display: flex;
  flex-direction: row;
}


@media only screen and (min-width: 1100px){
  .container{
    grid-template-columns: 240px 2fr 1fr;
    grid-template-rows: auto;
    grid-template-areas:
    "header   header  header"
    "nav  main  cancelled"
    "nav  main  reservation"
    "footer footer  footer";
  }
  header{
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-areas:
    "logoheader textheader .";
  }
  #logoheader {
    height: 100px;
    grid-area: logoheader;
    justify-self: start;
  }
  #passengers ul{
    column-count: 2;
  }
  #passengers{
    margin: 0 30px;
  }
  #boeing{
    width: 30%;
    margin-left: 35%;
    margin-right: 35%;
  }
}

@media only screen and (min-width: 650px) and (max-width: 1100px){
  .container{
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    grid-template-areas:
    "header  header"
    "nav  nav"
    "cancelled  cancelled"
    "main  reservation"
    "footer  footer";
  }
  header{
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-areas:
    "logoheader textheader .";
  }

  #logoheader {
    height: 100px;
    grid-area: logoheader;
    justify-self: start;
  }
  #passengers ul{
    column-count: 2;
  }
  #passengers{
    margin: 0 30px;
  }
  #boeing{
    width: 30%;
    margin-left: 35%;
    margin-right: 35%;
  }
}


@media only screen and (max-width: 650px){
  .container {
    grid-template-columns: 100%;
    grid-template-areas:
    "header"
    "nav"
    "cancelled"
    "main"
    "reservation"
    "footer";
  }
  header{
    grid-template-areas:
    "logoheader"
    "textheader";
  }
  #logoheader{
    justify-self: center;
    width: 50%;
  }

  .cityPhotos{
    display: none;
  }
  .weather{
    display: none;
  }
  #passengers ul{
    column-count: 1;
    padding: 0;
    margin-left: 30%;
  }
  #passengers{
    margin: 0 0;
  }
  #boeing{
    width: 60%;
    margin-left: 20%;
    margin-right: 20%;
  }
}

@media only screen and (min-width: 650px) and (max-width: 850px){
  #flyTable{
    font-size: 15px;
  }
  #flyTable td, #flyTable th{
    padding: 10px 3px;
  }
}

@media only screen and (min-width: 1100px) and (max-width: 1200px){
  #flyTable{
    font-size: 16px;
  }
  #flyTable td, #flyTable th{
    padding: 10px 5px;
  }

}

.popup{
  display: none;
  position: absolute;
  left: -60px;
  bottom: -5px;
  z-index: 1;
  background-color: #FF4D64;
  color: white;
  border-radius: 5px;
  padding: 5px;
  width: 45px;
  text-align: center;
}

#passengers li:hover .popup{
  display: inline;
}
#passengers li{
  position: relative;
  margin-top: 5px;
}
#passengers ul{
  list-style: none;
}
.middleSection{
  grid-area: main;
}

#textheader{
  justify-self: center;
  align-self: center;
}


.curtain {
  position: fixed;
  z-index: 1;
  background-color: black;
  width: 100%;
  height: 100%;
  opacity: 90%;
}

.reservedInfo {
  width: 500px;
  height: 150px;
  max-width: 80%;
  max-height: 100%;
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%,-50%);

  background-color: white;
  padding: 50px 20px;
  z-index: 1;
  border-radius: 30px;
  text-align: center;
  color: #B32437;
  font-size: 25px;
}

.submitAndReset{
  display: flex;
  flex-direction: row;
  width: 100%;
}

input[type=submit]:disabled {
  background-color: #aaaaaa;
  color: white;
  cursor: default;
}
